Skip to navigation

Update jurisdiction information about notary

View as Markdown

Updates the jurisdiction information about a notary. (Legacy)

The following restrictions apply:

  • The current user must be a notary.
  • The jurisdictionId path parameter must be a jurisdiction that the notary is registered for.
  • The jurisdictionId path parameter must match the request body’s jurisdiction.jurisdictionId.

The request body must have a full jurisdiction object for the jurisdiction property. The best way to do this is to use getNotaryJurisdiction to obtain the current values and update the properties you want to change.

For example, assume getNotaryJurisdiction returns this:

{
"jurisdiction": {
"jurisdictionId": "15",
"name": "Iowa",
"county": "",
"enabled": "true",
"countyInSeal": "false",
"commissionIdInSeal": "true",
"stateNameInSeal": "true",
"notaryPublicInSeal": "true",
"allowSystemCreatedSeal": "true",
"allowUserUploadedSeal": "false"
},
"commissionId": "123456",
"commissionExpiration": "2020-08-31T07:00:00.0000000Z",
"registeredName": "Bob Notary",
"county": "Adams",
"sealType": "system_created"
}

If you want to change the name of the notary from “Bob Notary” to “Robert Notary”, your request body would be:

{
"jurisdiction": {
"jurisdictionId": "15",
"name": "Iowa",
"county": "",
"enabled": "true",
"countyInSeal": "false",
"commissionIdInSeal": "true",
"stateNameInSeal": "true",
"notaryPublicInSeal": "true",
"allowSystemCreatedSeal": "true",
"allowUserUploadedSeal": "false"
},
"commissionId": "123456",
"commissionExpiration": "2020-08-31T07:00:00.0000000Z",
"registeredName": "Robert Notary",
"county": "Adams",
"sealType": "system_created"
}

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

jurisdictionIdstringRequired

The ID of the jurisdiction. The following jurisdictions are supported:

  • 5 - California
  • 6 - Colorado
  • 9 - Florida
  • 10 - Georgia
  • 12 - Idaho
  • 13 - Illinois
  • 14 - Indiana
  • 15 - Iowa
  • 17 - Kentucky
  • 23 - Minnesota
  • 25 - Missouri
  • 30 - New Jersey
  • 32 - New York
  • 33 - North Carolina
  • 35 - Ohio
  • 37 - Oregon
  • 38 - Pennsylvania
  • 40 - South Carolina
  • 43 - Texas
  • 44 - Utah
  • 47 - Washington
  • 48 - West Virginia
  • 49 - Wisconsin
  • 62 - Florida Commissioner of Deeds

Request

This endpoint expects an object: notaryJurisdiction

commissionExpirationstringOptional

The expiration date of the notary’s commission in format: MM/DD/YYYY.

commissionIdstringOptional
The notary's commission identification. This varies from jurisdiction to jurisdiction.
countystringOptional
The county that the commission is valid in.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
jurisdictionobjectOptional

Describes the jurisdiction of a notary. This is read-only object.

registeredNamestringOptional
The registered name of the notary.
sealTypestringOptional

The seal type used for this juridiction.

  • not_available
  • system_created
  • user_uploaded

Response

Successful response.
commissionExpirationstringOptional

The expiration date of the notary’s commission in format: MM/DD/YYYY.

commissionIdstringOptional
The notary's commission identification. This varies from jurisdiction to jurisdiction.
countystringOptional
The county that the commission is valid in.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
jurisdictionobjectOptional

Describes the jurisdiction of a notary. This is read-only object.

registeredNamestringOptional
The registered name of the notary.
sealTypestringOptional

The seal type used for this juridiction.

  • not_available
  • system_created
  • user_uploaded

Errors

400
Bad Request Error